Build #6 for pgdl-7.77

[all reports]

Package pgdl-7.77
Install DependencyFailed vty-ui-1.9
Docs NotTried
Tests NotTried
Time submitted 2016-12-10 18:55:11.709579 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies Cabal-1.24.0.0, HTTP-4000.3.3, array-0.5.1.1, base-4.9.0.0, bytestring-0.10.8.1, configurator-0.3.0.0, directory-1.2.6.2, filepath-1.4.1.0, network-uri-2.6.1.0, process-1.4.2.0, tagsoup-0.14, text-1.2.2.1, vty-5.14, vty-ui-1.9
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring data-default-class-0.1.2.0...
Configuring dlist-0.8.0.2...
Building data-default-class-0.1.2.0...
Building dlist-0.8.0.2...
Installed data-default-class-0.1.2.0
Configuring microlens-0.4.7.0...
Building microlens-0.4.7.0...
Configuring network-2.6.3.1...
Installed dlist-0.8.0.2
Configuring mtl-2.2.1...
Installed microlens-0.4.7.0
Building network-2.6.3.1...
Building mtl-2.2.1...
Configuring parallel-3.2.1.0...
Installed mtl-2.2.1
Building parallel-3.2.1.0...
Configuring primitive-0.6.1.0...
Installed parallel-3.2.1.0
Building primitive-0.6.1.0...
Configuring old-locale-1.0.0.7...
Installed network-2.6.3.1
Building old-locale-1.0.0.7...
Configuring random-1.1...
Installed old-locale-1.0.0.7
Building random-1.1...
Configuring stm-2.4.4.1...
Installed primitive-0.6.1.0
Building stm-2.4.4.1...
Configuring text-1.2.2.1...
Installed random-1.1
Building text-1.2.2.1...
Configuring transformers-compat-0.5.1.4...
Installed stm-2.4.4.1
Building transformers-compat-0.5.1.4...
Configuring unix-compat-0.4.3.1...
Installed transformers-compat-0.5.1.4
Building unix-compat-0.4.3.1...
Configuring utf8-string-1.0.1.1...
Installed unix-compat-0.4.3.1
Building utf8-string-1.0.1.1...
Configuring data-default-instances-containers-0.0.1...
Installed utf8-string-1.0.1.1
Building data-default-instances-containers-0.0.1...
Installed data-default-instances-containers-0.0.1
Configuring data-default-instances-dlist-0.0.1...
Building data-default-instances-dlist-0.0.1...
Configuring regex-base-0.93.2...
Installed data-default-instances-dlist-0.0.1
Building regex-base-0.93.2...
Configuring microlens-th-0.4.1.0...
Installed text-1.2.2.1
Building microlens-th-0.4.1.0...
Configuring data-default-instances-old-locale-0.0.1...
Installed regex-base-0.93.2
Building data-default-instances-old-locale-0.0.1...
Configuring tf-random-0.5...
Installed data-default-instances-old-locale-0.0.1
Building tf-random-0.5...
Configuring vector-0.11.0.0...
Installed tf-random-0.5
Configuring microlens-mtl-0.1.10.0...
Installed microlens-th-0.4.1.0
Building vector-0.11.0.0...
Building microlens-mtl-0.1.10.0...
Installed microlens-mtl-0.1.10.0
Configuring hashable-1.2.4.0...
Building hashable-1.2.4.0...
Configuring blaze-builder-0.4.0.2...
Installed hashable-1.2.4.0
Building blaze-builder-0.4.0.2...
Configuring tagsoup-0.14...
Installed blaze-builder-0.4.0.2
Building tagsoup-0.14...
Configuring parsec-3.1.11...
Installed tagsoup-0.14
Building parsec-3.1.11...
Configuring data-default-0.7.1.1...
Installed vector-0.11.0.0
Building data-default-0.7.1.1...
Configuring QuickCheck-2.7.6...
Installed data-default-0.7.1.1
Building QuickCheck-2.7.6...
Installed parsec-3.1.11
Configuring unordered-containers-0.2.7.1...
Building unordered-containers-0.2.7.1...
Installed QuickCheck-2.7.6
Configuring scientific-0.3.4.9...
Building scientific-0.3.4.9...
Configuring network-uri-2.6.1.0...
Installed unordered-containers-0.2.7.1
Building network-uri-2.6.1.0...
Configuring vty-5.14...
Installed scientific-0.3.4.9
Building vty-5.14...
Installed network-uri-2.6.1.0
Configuring HTTP-4000.3.3...
Building HTTP-4000.3.3...
Configuring attoparsec-0.13.1.0...
Installed HTTP-4000.3.3
Building attoparsec-0.13.1.0...
Installed attoparsec-0.13.1.0
Configuring configurator-0.3.0.0...
Building configurator-0.3.0.0...
Installed configurator-0.3.0.0
Installed vty-5.14
Configuring vty-ui-1.9...
Building vty-ui-1.9...
Failed to install vty-ui-1.9
Build log ( /home/builder/.cabal/logs/vty-ui-1.9.log ):
cabal: Entering directory '/tmp/cabal-tmp-15229/vty-ui-1.9'
Configuring vty-ui-1.9...
Building vty-ui-1.9...
Preprocessing library vty-ui-1.9...
[ 1 of 27] Compiling Graphics.Vty.Widgets.Util ( src/Graphics/Vty/Widgets/Util.hs, dist/build/Graphics/Vty/Widgets/Util.o )

src/Graphics/Vty/Widgets/Util.hs:27:1: warning: [-Wunused-imports]
    The import of ‘Control.Applicative’ is redundant
      except perhaps to import instances from ‘Control.Applicative’
    To import instances alone, use: import Control.Applicative()
[ 2 of 27] Compiling Text.Trans.Tokenize ( src/Text/Trans/Tokenize.hs, dist/build/Text/Trans/Tokenize.o )

src/Text/Trans/Tokenize.hs:32:1: warning: [-Wunused-imports]
    The import of ‘Control.Applicative’ is redundant
      except perhaps to import instances from ‘Control.Applicative’
    To import instances alone, use: import Control.Applicative()
[ 3 of 27] Compiling Graphics.Vty.Widgets.TextZipper ( src/Graphics/Vty/Widgets/TextZipper.hs, dist/build/Graphics/Vty/Widgets/TextZipper.o )

src/Graphics/Vty/Widgets/TextZipper.hs:42:1: warning: [-Wunused-imports]
    The import of ‘Data.Monoid’ is redundant
      except perhaps to import instances from ‘Data.Monoid’
    To import instances alone, use: import Data.Monoid()
[ 4 of 27] Compiling Graphics.Vty.Widgets.TextClip ( src/Graphics/Vty/Widgets/TextClip.hs, dist/build/Graphics/Vty/Widgets/TextClip.o )

src/Graphics/Vty/Widgets/TextClip.hs:23:1: warning: [-Wunused-imports]
    The import of ‘Control.Applicative’ is redundant
      except perhaps to import instances from ‘Control.Applicative’
    To import instances alone, use: import Control.Applicative()
[ 5 of 27] Compiling Graphics.Vty.Widgets.Skins ( src/Graphics/Vty/Widgets/Skins.hs, dist/build/Graphics/Vty/Widgets/Skins.o )
[ 6 of 27] Compiling Graphics.Vty.Widgets.Events ( src/Graphics/Vty/Widgets/Events.hs, dist/build/Graphics/Vty/Widgets/Events.o )
[ 7 of 27] Compiling Graphics.Vty.Widgets.Core ( src/Graphics/Vty/Widgets/Core.hs, dist/build/Graphics/Vty/Widgets/Core.o )

src/Graphics/Vty/Widgets/Core.hs:79:1: warning: [-Wunused-imports]
    The import of ‘Control.Applicative’ is redundant
      except perhaps to import instances from ‘Control.Applicative’
    To import instances alone, use: import Control.Applicative()
[ 8 of 27] Compiling Graphics.Vty.Widgets.Edit ( src/Graphics/Vty/Widgets/Edit.hs, dist/build/Graphics/Vty/Widgets/Edit.o )
[ 9 of 27] Compiling Graphics.Vty.Widgets.EventLoop ( src/Graphics/Vty/Widgets/EventLoop.hs, dist/build/Graphics/Vty/Widgets/EventLoop.o )
[10 of 27] Compiling Graphics.Vty.Widgets.Fills ( src/Graphics/Vty/Widgets/Fills.hs, dist/build/Graphics/Vty/Widgets/Fills.o )
[11 of 27] Compiling Graphics.Vty.Widgets.Fixed ( src/Graphics/Vty/Widgets/Fixed.hs, dist/build/Graphics/Vty/Widgets/Fixed.o )
[12 of 27] Compiling Graphics.Vty.Widgets.Group ( src/Graphics/Vty/Widgets/Group.hs, dist/build/Graphics/Vty/Widgets/Group.o )
[13 of 27] Compiling Graphics.Vty.Widgets.Limits ( src/Graphics/Vty/Widgets/Limits.hs, dist/build/Graphics/Vty/Widgets/Limits.o )
[14 of 27] Compiling Graphics.Vty.Widgets.Padding ( src/Graphics/Vty/Widgets/Padding.hs, dist/build/Graphics/Vty/Widgets/Padding.o )

src/Graphics/Vty/Widgets/Padding.hs:22:1: warning: [-Wunused-imports]
    The import of ‘Data.Monoid’ is redundant
      except perhaps to import instances from ‘Data.Monoid’
    To import instances alone, use: import Data.Monoid()
[15 of 27] Compiling Graphics.Vty.Widgets.Text ( src/Graphics/Vty/Widgets/Text.hs, dist/build/Graphics/Vty/Widgets/Text.o )

src/Graphics/Vty/Widgets/Text.hs:30:1: warning: [-Wunused-imports]
    The import of ‘Control.Applicative’ is redundant
      except perhaps to import instances from ‘Control.Applicative’
    To import instances alone, use: import Control.Applicative()

src/Graphics/Vty/Widgets/Text.hs:31:1: warning: [-Wunused-imports]
    The import of ‘Data.Monoid’ is redundant
      except perhaps to import instances from ‘Data.Monoid’
    To import instances alone, use: import Data.Monoid()
[16 of 27] Compiling Graphics.Vty.Widgets.List ( src/Graphics/Vty/Widgets/List.hs, dist/build/Graphics/Vty/Widgets/List.o )
[17 of 27] Compiling Graphics.Vty.Widgets.CheckBox ( src/Graphics/Vty/Widgets/CheckBox.hs, dist/build/Graphics/Vty/Widgets/CheckBox.o )
[18 of 27] Compiling Graphics.Vty.Widgets.Centering ( src/Graphics/Vty/Widgets/Centering.hs, dist/build/Graphics/Vty/Widgets/Centering.o )
[19 of 27] Compiling Graphics.Vty.Widgets.Button ( src/Graphics/Vty/Widgets/Button.hs, dist/build/Graphics/Vty/Widgets/Button.o )
[20 of 27] Compiling Graphics.Vty.Widgets.Box ( src/Graphics/Vty/Widgets/Box.hs, dist/build/Graphics/Vty/Widgets/Box.o )
[21 of 27] Compiling Graphics.Vty.Widgets.DirBrowser ( src/Graphics/Vty/Widgets/DirBrowser.hs, dist/build/Graphics/Vty/Widgets/DirBrowser.o )

src/Graphics/Vty/Widgets/DirBrowser.hs:237:16: error:
    Ambiguous occurrence ‘isSymbolicLink’
    It could refer to either ‘System.Directory.isSymbolicLink’,
                             imported from ‘System.Directory’ at src/Graphics/Vty/Widgets/DirBrowser.hs:34:1-23
                          or ‘System.Posix.Files.isSymbolicLink’,
                             imported from ‘System.Posix.Files’ at src/Graphics/Vty/Widgets/DirBrowser.hs:36:1-25
                             (and originally defined in ‘unix-2.7.2.0:System.Posix.Files.Common’)

src/Graphics/Vty/Widgets/DirBrowser.hs:239:32: error:
    Ambiguous occurrence ‘isSymbolicLink’
    It could refer to either ‘System.Directory.isSymbolicLink’,
                             imported from ‘System.Directory’ at src/Graphics/Vty/Widgets/DirBrowser.hs:34:1-23
                          or ‘System.Posix.Files.isSymbolicLink’,
                             imported from ‘System.Posix.Files’ at src/Graphics/Vty/Widgets/DirBrowser.hs:36:1-25
                             (and originally defined in ‘unix-2.7.2.0:System.Posix.Files.Common’)
cabal: Leaving directory '/tmp/cabal-tmp-15229/vty-ui-1.9'
cabal: Error: some packages failed to install:
pgdl-7.77 depends on vty-ui-1.9 which failed to install.
vty-ui-1.9 failed during the building phase. The exception was:
ExitFailure 1